[package]
authors = ["Felix Häcker <haeckerfelix@gnome.org>"]
documentation = "https://world.pages.gitlab.gnome.org/Rust/libflatpak-rs/stable/latest/docs/libflatpak/"
name = "libflatpak"
repository = "https://gitlab.gnome.org/World/Rust/libflatpak-rs"
version = "0.7.0"
edition = "2021"
description = "libflatpak bindings"
license = "MIT"

[dependencies]
gio = {git = "https://github.com/gtk-rs/gtk-rs-core", version = "0.21", branch = "master"}
glib = {git = "https://github.com/gtk-rs/gtk-rs-core", version = "0.21", branch = "master"}
libc = "0.2"

[dependencies.ffi]
package = "libflatpak-sys"
path = '../libflatpak-sys'
version = "0.7.0"

[package.metadata.docs.rs]
all-features = true
rustc-args = ["--cfg", "docsrs"]
rustdoc-args = ["--cfg", "docsrs"]

[features]
default = ["v1_11_1"]
v0_10 = ["v0_9_8", "ffi/v0_10"]
v0_11_8 = ["v0_10", "ffi/v0_11_8"]
v0_6_10 = ["v0_6_7", "ffi/v0_6_10"]
v0_6_12 = ["v0_6_10", "ffi/v0_6_12"]
v0_6_13 = ["v0_6_12", "ffi/v0_6_13"]
v0_6_15 = ["v0_6_13", "ffi/v0_6_15"]
v0_6_7 = []
v0_8 = ["v0_6_15", "ffi/v0_8"]
v0_9_8 = ["v0_8", "ffi/v0_9_8"]
v1_0_3 = ["v0_11_8", "ffi/v1_0_3"]
v1_1 = ["v1_0_3", "ffi/v1_1"]
v1_1_1 = ["v1_1", "ffi/v1_1_1"]
v1_1_2 = ["v1_1_1", "ffi/v1_1_2"]
v1_3_3 = ["v1_3_2", "ffi/v1_3_3"]
v1_3_4 = ["v1_3_3", "ffi/v1_3_4"]
v1_4 = ["v1_3_4", "ffi/v1_4"]
v1_4_2 = ["v1_4", "ffi/v1_4_2"]
v1_5 = ["v1_4_2", "ffi/v1_5"]
v1_5_1 = ["v1_5", "ffi/v1_5_1"]
v1_5_2 = ["v1_5_1", "ffi/v1_5_2"]
v1_7 = ["v1_5_2", "ffi/v1_7"]
v1_7_1 = ["v1_7", "ffi/v1_7_1"]
v1_7_3 = ["v1_7_1", "ffi/v1_7_3"]
v1_7_4 = ["v1_7_3", "ffi/v1_7_4"]
v1_3_2 = ["v1_1_2", "ffi/v1_3_2"]
v1_8 = ["v1_7_3", "ffi/v1_8"]
v1_9_1 = ["v1_8", "ffi/v1_9_1"]
v1_11_1 = ["v1_9_1", "ffi/v1_11_1"]
v1_13 = ["v1_11_1", "ffi/v1_13"]
v1_13_3 = ["v1_13", "ffi/v1_13_3"]
